IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/28
Addresses2^100
/64 networks2^36
- Network
ff09:d030::/28- First address
ff09:d030::- Last address
ff09:d03f:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 1,267,650,600,228,229,401,496,703,205,376 (2^100)
- /64 networks (LANs)
- 68,719,476,736 (2^36)
- Full form
ff09:d030:0000:0000:0000:0000:0000:0000- Type
- Multicast ff00::/8
One-to-many traffic; replaces broadcast - Reverse DNS zone
3.0.d.9.0.f.f.ip6.arpa
Split into smaller subnets
ff09:d030::/28 makes 256 subnets of /36.
| # | Subnet | Last address |
|---|---|---|
| 1 | ff09:d030::/36 | ff09:d030:fff:ffff:ffff:ffff:ffff:ffff |
| 2 | ff09:d030:1000::/36 | ff09:d030:1fff:ffff:ffff:ffff:ffff:ffff |
| 3 | ff09:d030:2000::/36 | ff09:d030:2fff:ffff:ffff:ffff:ffff:ffff |
| 4 | ff09:d030:3000::/36 | ff09:d030:3fff:ffff:ffff:ffff:ffff:ffff |
| 5 | ff09:d030:4000::/36 | ff09:d030:4fff:ffff:ffff:ffff:ffff:ffff |
| 6 | ff09:d030:5000::/36 | ff09:d030:5fff:ffff:ffff:ffff:ffff:ffff |
| 7 | ff09:d030:6000::/36 | ff09:d030:6fff:ffff:ffff:ffff:ffff:ffff |
| 8 | ff09:d030:7000::/36 | ff09:d030:7fff:ffff:ffff:ffff:ffff:ffff |
| 9 | ff09:d030:8000::/36 | ff09:d030:8fff:ffff:ffff:ffff:ffff:ffff |
| 10 | ff09:d030:9000::/36 | ff09:d030:9fff:ffff:ffff:ffff:ffff:ffff |
| 11 | ff09:d030:a000::/36 | ff09:d030:afff:ffff:ffff:ffff:ffff:ffff |
| 12 | ff09:d030:b000::/36 | ff09:d030:bfff:ffff:ffff:ffff:ffff:ffff |
| 13 | ff09:d030:c000::/36 | ff09:d030:cfff:ffff:ffff:ffff:ffff:ffff |
| 14 | ff09:d030:d000::/36 | ff09:d030:dfff:ffff:ffff:ffff:ffff:ffff |
| 15 | ff09:d030:e000::/36 | ff09:d030:efff:ffff:ffff:ffff:ffff:ffff |
| 16 | ff09:d030:f000::/36 | ff09:d030:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | ff09:d031::/36 | ff09:d031:fff:ffff:ffff:ffff:ffff:ffff |
| 18 | ff09:d031:1000::/36 | ff09:d031:1fff:ffff:ffff:ffff:ffff:ffff |
| 19 | ff09:d031:2000::/36 | ff09:d031:2fff:ffff:ffff:ffff:ffff:ffff |
| 20 | ff09:d031:3000::/36 | ff09:d031:3fff:ffff:ffff:ffff:ffff:ffff |
| 21 | ff09:d031:4000::/36 | ff09:d031:4fff:ffff:ffff:ffff:ffff:ffff |
| 22 | ff09:d031:5000::/36 | ff09:d031:5fff:ffff:ffff:ffff:ffff:ffff |
| 23 | ff09:d031:6000::/36 | ff09:d031:6fff:ffff:ffff:ffff:ffff:ffff |
| 24 | ff09:d031:7000::/36 | ff09:d031:7fff:ffff:ffff:ffff:ffff:ffff |
| 25 | ff09:d031:8000::/36 | ff09:d031:8fff:ffff:ffff:ffff:ffff:ffff |
| 26 | ff09:d031:9000::/36 | ff09:d031:9fff:ffff:ffff:ffff:ffff:ffff |
| 27 | ff09:d031:a000::/36 | ff09:d031:afff:ffff:ffff:ffff:ffff:ffff |
| 28 | ff09:d031:b000::/36 | ff09:d031:bfff:ffff:ffff:ffff:ffff:ffff |
| 29 | ff09:d031:c000::/36 | ff09:d031:cfff:ffff:ffff:ffff:ffff:ffff |
| 30 | ff09:d031:d000::/36 | ff09:d031:dfff:ffff:ffff:ffff:ffff:ffff |
| 31 | ff09:d031:e000::/36 | ff09:d031:efff:ffff:ffff:ffff:ffff:ffff |
| 32 | ff09:d031:f000::/36 | ff09:d031:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | ff09:d032::/36 | ff09:d032:fff:ffff:ffff:ffff:ffff:ffff |
| 34 | ff09:d032:1000::/36 | ff09:d032:1fff:ffff:ffff:ffff:ffff:ffff |
| 35 | ff09:d032:2000::/36 | ff09:d032:2fff:ffff:ffff:ffff:ffff:ffff |
| 36 | ff09:d032:3000::/36 | ff09:d032:3fff:ffff:ffff:ffff:ffff:ffff |
| 37 | ff09:d032:4000::/36 | ff09:d032:4fff:ffff:ffff:ffff:ffff:ffff |
| 38 | ff09:d032:5000::/36 | ff09:d032:5fff:ffff:ffff:ffff:ffff:ffff |
| 39 | ff09:d032:6000::/36 | ff09:d032:6fff:ffff:ffff:ffff:ffff:ffff |
| 40 | ff09:d032:7000::/36 | ff09:d032:7fff:ffff:ffff:ffff:ffff:ffff |
| 41 | ff09:d032:8000::/36 | ff09:d032:8fff:ffff:ffff:ffff:ffff:ffff |
| 42 | ff09:d032:9000::/36 | ff09:d032:9fff:ffff:ffff:ffff:ffff:ffff |
| 43 | ff09:d032:a000::/36 | ff09:d032:afff:ffff:ffff:ffff:ffff:ffff |
| 44 | ff09:d032:b000::/36 | ff09:d032:bfff:ffff:ffff:ffff:ffff:ffff |
| 45 | ff09:d032:c000::/36 | ff09:d032:cfff:ffff:ffff:ffff:ffff:ffff |
| 46 | ff09:d032:d000::/36 | ff09:d032:dfff:ffff:ffff:ffff:ffff:ffff |
| 47 | ff09:d032:e000::/36 | ff09:d032:efff:ffff:ffff:ffff:ffff:ffff |
| 48 | ff09:d032:f000::/36 | ff09:d032:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | ff09:d033::/36 | ff09:d033:fff:ffff:ffff:ffff:ffff:ffff |
| 50 | ff09:d033:1000::/36 | ff09:d033:1fff:ffff:ffff:ffff:ffff:ffff |
| 51 | ff09:d033:2000::/36 | ff09:d033:2fff:ffff:ffff:ffff:ffff:ffff |
| 52 | ff09:d033:3000::/36 | ff09:d033:3fff:ffff:ffff:ffff:ffff:ffff |
| 53 | ff09:d033:4000::/36 | ff09:d033:4fff:ffff:ffff:ffff:ffff:ffff |
| 54 | ff09:d033:5000::/36 | ff09:d033:5fff:ffff:ffff:ffff:ffff:ffff |
| 55 | ff09:d033:6000::/36 | ff09:d033:6fff:ffff:ffff:ffff:ffff:ffff |
| 56 | ff09:d033:7000::/36 | ff09:d033:7fff:ffff:ffff:ffff:ffff:ffff |
| 57 | ff09:d033:8000::/36 | ff09:d033:8fff:ffff:ffff:ffff:ffff:ffff |
| 58 | ff09:d033:9000::/36 | ff09:d033:9fff:ffff:ffff:ffff:ffff:ffff |
| 59 | ff09:d033:a000::/36 | ff09:d033:afff:ffff:ffff:ffff:ffff:ffff |
| 60 | ff09:d033:b000::/36 | ff09:d033:bfff:ffff:ffff:ffff:ffff:ffff |
| 61 | ff09:d033:c000::/36 | ff09:d033:cfff:ffff:ffff:ffff:ffff:ffff |
| 62 | ff09:d033:d000::/36 | ff09:d033:dfff:ffff:ffff:ffff:ffff:ffff |
| 63 | ff09:d033:e000::/36 | ff09:d033:efff:ffff:ffff:ffff:ffff:ffff |
| 64 | ff09:d033:f000::/36 | ff09:d033:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | ff09:d034::/36 | ff09:d034:fff:ffff:ffff:ffff:ffff:ffff |
| 66 | ff09:d034:1000::/36 | ff09:d034:1fff:ffff:ffff:ffff:ffff:ffff |
| 67 | ff09:d034:2000::/36 | ff09:d034:2fff:ffff:ffff:ffff:ffff:ffff |
| 68 | ff09:d034:3000::/36 | ff09:d034:3fff:ffff:ffff:ffff:ffff:ffff |
| 69 | ff09:d034:4000::/36 | ff09:d034:4fff:ffff:ffff:ffff:ffff:ffff |
| 70 | ff09:d034:5000::/36 | ff09:d034:5fff:ffff:ffff:ffff:ffff:ffff |
| 71 | ff09:d034:6000::/36 | ff09:d034:6fff:ffff:ffff:ffff:ffff:ffff |
| 72 | ff09:d034:7000::/36 | ff09:d034:7fff:ffff:ffff:ffff:ffff:ffff |
| 73 | ff09:d034:8000::/36 | ff09:d034:8fff:ffff:ffff:ffff:ffff:ffff |
| 74 | ff09:d034:9000::/36 | ff09:d034:9fff:ffff:ffff:ffff:ffff:ffff |
| 75 | ff09:d034:a000::/36 | ff09:d034:afff:ffff:ffff:ffff:ffff:ffff |
| 76 | ff09:d034:b000::/36 | ff09:d034:bfff:ffff:ffff:ffff:ffff:ffff |
| 77 | ff09:d034:c000::/36 | ff09:d034:cfff:ffff:ffff:ffff:ffff:ffff |
| 78 | ff09:d034:d000::/36 | ff09:d034:dfff:ffff:ffff:ffff:ffff:ffff |
| 79 | ff09:d034:e000::/36 | ff09:d034:efff:ffff:ffff:ffff:ffff:ffff |
| 80 | ff09:d034:f000::/36 | ff09:d034:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | ff09:d035::/36 | ff09:d035:fff:ffff:ffff:ffff:ffff:ffff |
| 82 | ff09:d035:1000::/36 | ff09:d035:1fff:ffff:ffff:ffff:ffff:ffff |
| 83 | ff09:d035:2000::/36 | ff09:d035:2fff:ffff:ffff:ffff:ffff:ffff |
| 84 | ff09:d035:3000::/36 | ff09:d035:3fff:ffff:ffff:ffff:ffff:ffff |
| 85 | ff09:d035:4000::/36 | ff09:d035:4fff:ffff:ffff:ffff:ffff:ffff |
| 86 | ff09:d035:5000::/36 | ff09:d035:5fff:ffff:ffff:ffff:ffff:ffff |
| 87 | ff09:d035:6000::/36 | ff09:d035:6fff:ffff:ffff:ffff:ffff:ffff |
| 88 | ff09:d035:7000::/36 | ff09:d035:7fff:ffff:ffff:ffff:ffff:ffff |
| 89 | ff09:d035:8000::/36 | ff09:d035:8fff:ffff:ffff:ffff:ffff:ffff |
| 90 | ff09:d035:9000::/36 | ff09:d035:9fff:ffff:ffff:ffff:ffff:ffff |
| 91 | ff09:d035:a000::/36 | ff09:d035:afff:ffff:ffff:ffff:ffff:ffff |
| 92 | ff09:d035:b000::/36 | ff09:d035:bfff:ffff:ffff:ffff:ffff:ffff |
| 93 | ff09:d035:c000::/36 | ff09:d035:cfff:ffff:ffff:ffff:ffff:ffff |
| 94 | ff09:d035:d000::/36 | ff09:d035:dfff:ffff:ffff:ffff:ffff:ffff |
| 95 | ff09:d035:e000::/36 | ff09:d035:efff:ffff:ffff:ffff:ffff:ffff |
| 96 | ff09:d035:f000::/36 | ff09:d035:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | ff09:d036::/36 | ff09:d036:fff:ffff:ffff:ffff:ffff:ffff |
| 98 | ff09:d036:1000::/36 | ff09:d036:1fff:ffff:ffff:ffff:ffff:ffff |
| 99 | ff09:d036:2000::/36 | ff09:d036:2fff:ffff:ffff:ffff:ffff:ffff |
| 100 | ff09:d036:3000::/36 | ff09:d036:3fff:ffff:ffff:ffff:ffff:ffff |
| 101 | ff09:d036:4000::/36 | ff09:d036:4fff:ffff:ffff:ffff:ffff:ffff |
| 102 | ff09:d036:5000::/36 | ff09:d036:5fff:ffff:ffff:ffff:ffff:ffff |
| 103 | ff09:d036:6000::/36 | ff09:d036:6fff:ffff:ffff:ffff:ffff:ffff |
| 104 | ff09:d036:7000::/36 | ff09:d036:7fff:ffff:ffff:ffff:ffff:ffff |
| 105 | ff09:d036:8000::/36 | ff09:d036:8fff:ffff:ffff:ffff:ffff:ffff |
| 106 | ff09:d036:9000::/36 | ff09:d036:9fff:ffff:ffff:ffff:ffff:ffff |
| 107 | ff09:d036:a000::/36 | ff09:d036:afff:ffff:ffff:ffff:ffff:ffff |
| 108 | ff09:d036:b000::/36 | ff09:d036:bfff:ffff:ffff:ffff:ffff:ffff |
| 109 | ff09:d036:c000::/36 | ff09:d036:cfff:ffff:ffff:ffff:ffff:ffff |
| 110 | ff09:d036:d000::/36 | ff09:d036:dfff:ffff:ffff:ffff:ffff:ffff |
| 111 | ff09:d036:e000::/36 | ff09:d036:efff:ffff:ffff:ffff:ffff:ffff |
| 112 | ff09:d036:f000::/36 | ff09:d036:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | ff09:d037::/36 | ff09:d037:fff:ffff:ffff:ffff:ffff:ffff |
| 114 | ff09:d037:1000::/36 | ff09:d037:1fff:ffff:ffff:ffff:ffff:ffff |
| 115 | ff09:d037:2000::/36 | ff09:d037:2fff:ffff:ffff:ffff:ffff:ffff |
| 116 | ff09:d037:3000::/36 | ff09:d037:3fff:ffff:ffff:ffff:ffff:ffff |
| 117 | ff09:d037:4000::/36 | ff09:d037:4fff:ffff:ffff:ffff:ffff:ffff |
| 118 | ff09:d037:5000::/36 | ff09:d037:5fff:ffff:ffff:ffff:ffff:ffff |
| 119 | ff09:d037:6000::/36 | ff09:d037:6fff:ffff:ffff:ffff:ffff:ffff |
| 120 | ff09:d037:7000::/36 | ff09:d037:7fff:ffff:ffff:ffff:ffff:ffff |
| 121 | ff09:d037:8000::/36 | ff09:d037:8fff:ffff:ffff:ffff:ffff:ffff |
| 122 | ff09:d037:9000::/36 | ff09:d037:9fff:ffff:ffff:ffff:ffff:ffff |
| 123 | ff09:d037:a000::/36 | ff09:d037:afff:ffff:ffff:ffff:ffff:ffff |
| 124 | ff09:d037:b000::/36 | ff09:d037:bfff:ffff:ffff:ffff:ffff:ffff |
| 125 | ff09:d037:c000::/36 | ff09:d037:cfff:ffff:ffff:ffff:ffff:ffff |
| 126 | ff09:d037:d000::/36 | ff09:d037:dfff:ffff:ffff:ffff:ffff:ffff |
| 127 | ff09:d037:e000::/36 | ff09:d037:efff:ffff:ffff:ffff:ffff:ffff |
| 128 | ff09:d037:f000::/36 | ff09:d037:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | ff09:d038::/36 | ff09:d038:fff:ffff:ffff:ffff:ffff:ffff |
| 130 | ff09:d038:1000::/36 | ff09:d038:1fff:ffff:ffff:ffff:ffff:ffff |
| 131 | ff09:d038:2000::/36 | ff09:d038:2fff:ffff:ffff:ffff:ffff:ffff |
| 132 | ff09:d038:3000::/36 | ff09:d038:3fff:ffff:ffff:ffff:ffff:ffff |
| 133 | ff09:d038:4000::/36 | ff09:d038:4fff:ffff:ffff:ffff:ffff:ffff |
| 134 | ff09:d038:5000::/36 | ff09:d038:5fff:ffff:ffff:ffff:ffff:ffff |
| 135 | ff09:d038:6000::/36 | ff09:d038:6fff:ffff:ffff:ffff:ffff:ffff |
| 136 | ff09:d038:7000::/36 | ff09:d038:7fff:ffff:ffff:ffff:ffff:ffff |
| 137 | ff09:d038:8000::/36 | ff09:d038:8fff:ffff:ffff:ffff:ffff:ffff |
| 138 | ff09:d038:9000::/36 | ff09:d038:9fff:ffff:ffff:ffff:ffff:ffff |
| 139 | ff09:d038:a000::/36 | ff09:d038:afff:ffff:ffff:ffff:ffff:ffff |
| 140 | ff09:d038:b000::/36 | ff09:d038:bfff:ffff:ffff:ffff:ffff:ffff |
| 141 | ff09:d038:c000::/36 | ff09:d038:cfff:ffff:ffff:ffff:ffff:ffff |
| 142 | ff09:d038:d000::/36 | ff09:d038:dfff:ffff:ffff:ffff:ffff:ffff |
| 143 | ff09:d038:e000::/36 | ff09:d038:efff:ffff:ffff:ffff:ffff:ffff |
| 144 | ff09:d038:f000::/36 | ff09:d038:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | ff09:d039::/36 | ff09:d039:fff:ffff:ffff:ffff:ffff:ffff |
| 146 | ff09:d039:1000::/36 | ff09:d039:1fff:ffff:ffff:ffff:ffff:ffff |
| 147 | ff09:d039:2000::/36 | ff09:d039:2fff:ffff:ffff:ffff:ffff:ffff |
| 148 | ff09:d039:3000::/36 | ff09:d039:3fff:ffff:ffff:ffff:ffff:ffff |
| 149 | ff09:d039:4000::/36 | ff09:d039:4fff:ffff:ffff:ffff:ffff:ffff |
| 150 | ff09:d039:5000::/36 | ff09:d039:5fff:ffff:ffff:ffff:ffff:ffff |
| 151 | ff09:d039:6000::/36 | ff09:d039:6fff:ffff:ffff:ffff:ffff:ffff |
| 152 | ff09:d039:7000::/36 | ff09:d039:7fff:ffff:ffff:ffff:ffff:ffff |
| 153 | ff09:d039:8000::/36 | ff09:d039:8fff:ffff:ffff:ffff:ffff:ffff |
| 154 | ff09:d039:9000::/36 | ff09:d039:9fff:ffff:ffff:ffff:ffff:ffff |
| 155 | ff09:d039:a000::/36 | ff09:d039:afff:ffff:ffff:ffff:ffff:ffff |
| 156 | ff09:d039:b000::/36 | ff09:d039:bfff:ffff:ffff:ffff:ffff:ffff |
| 157 | ff09:d039:c000::/36 | ff09:d039:cfff:ffff:ffff:ffff:ffff:ffff |
| 158 | ff09:d039:d000::/36 | ff09:d039:dfff:ffff:ffff:ffff:ffff:ffff |
| 159 | ff09:d039:e000::/36 | ff09:d039:efff:ffff:ffff:ffff:ffff:ffff |
| 160 | ff09:d039:f000::/36 | ff09:d039:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | ff09:d03a::/36 | ff09:d03a:fff:ffff:ffff:ffff:ffff:ffff |
| 162 | ff09:d03a:1000::/36 | ff09:d03a:1fff:ffff:ffff:ffff:ffff:ffff |
| 163 | ff09:d03a:2000::/36 | ff09:d03a:2fff:ffff:ffff:ffff:ffff:ffff |
| 164 | ff09:d03a:3000::/36 | ff09:d03a:3fff:ffff:ffff:ffff:ffff:ffff |
| 165 | ff09:d03a:4000::/36 | ff09:d03a:4fff:ffff:ffff:ffff:ffff:ffff |
| 166 | ff09:d03a:5000::/36 | ff09:d03a:5fff:ffff:ffff:ffff:ffff:ffff |
| 167 | ff09:d03a:6000::/36 | ff09:d03a:6fff:ffff:ffff:ffff:ffff:ffff |
| 168 | ff09:d03a:7000::/36 | ff09:d03a:7fff:ffff:ffff:ffff:ffff:ffff |
| 169 | ff09:d03a:8000::/36 | ff09:d03a:8fff:ffff:ffff:ffff:ffff:ffff |
| 170 | ff09:d03a:9000::/36 | ff09:d03a:9fff:ffff:ffff:ffff:ffff:ffff |
| 171 | ff09:d03a:a000::/36 | ff09:d03a:afff:ffff:ffff:ffff:ffff:ffff |
| 172 | ff09:d03a:b000::/36 | ff09:d03a:bfff:ffff:ffff:ffff:ffff:ffff |
| 173 | ff09:d03a:c000::/36 | ff09:d03a:cfff:ffff:ffff:ffff:ffff:ffff |
| 174 | ff09:d03a:d000::/36 | ff09:d03a:dfff:ffff:ffff:ffff:ffff:ffff |
| 175 | ff09:d03a:e000::/36 | ff09:d03a:efff:ffff:ffff:ffff:ffff:ffff |
| 176 | ff09:d03a:f000::/36 | ff09:d03a:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | ff09:d03b::/36 | ff09:d03b:fff:ffff:ffff:ffff:ffff:ffff |
| 178 | ff09:d03b:1000::/36 | ff09:d03b:1fff:ffff:ffff:ffff:ffff:ffff |
| 179 | ff09:d03b:2000::/36 | ff09:d03b:2fff:ffff:ffff:ffff:ffff:ffff |
| 180 | ff09:d03b:3000::/36 | ff09:d03b:3fff:ffff:ffff:ffff:ffff:ffff |
| 181 | ff09:d03b:4000::/36 | ff09:d03b:4fff:ffff:ffff:ffff:ffff:ffff |
| 182 | ff09:d03b:5000::/36 | ff09:d03b:5fff:ffff:ffff:ffff:ffff:ffff |
| 183 | ff09:d03b:6000::/36 | ff09:d03b:6fff:ffff:ffff:ffff:ffff:ffff |
| 184 | ff09:d03b:7000::/36 | ff09:d03b:7fff:ffff:ffff:ffff:ffff:ffff |
| 185 | ff09:d03b:8000::/36 | ff09:d03b:8fff:ffff:ffff:ffff:ffff:ffff |
| 186 | ff09:d03b:9000::/36 | ff09:d03b:9fff:ffff:ffff:ffff:ffff:ffff |
| 187 | ff09:d03b:a000::/36 | ff09:d03b:afff:ffff:ffff:ffff:ffff:ffff |
| 188 | ff09:d03b:b000::/36 | ff09:d03b:bfff:ffff:ffff:ffff:ffff:ffff |
| 189 | ff09:d03b:c000::/36 | ff09:d03b:cfff:ffff:ffff:ffff:ffff:ffff |
| 190 | ff09:d03b:d000::/36 | ff09:d03b:dfff:ffff:ffff:ffff:ffff:ffff |
| 191 | ff09:d03b:e000::/36 | ff09:d03b:efff:ffff:ffff:ffff:ffff:ffff |
| 192 | ff09:d03b:f000::/36 | ff09:d03b:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | ff09:d03c::/36 | ff09:d03c:fff:ffff:ffff:ffff:ffff:ffff |
| 194 | ff09:d03c:1000::/36 | ff09:d03c:1fff:ffff:ffff:ffff:ffff:ffff |
| 195 | ff09:d03c:2000::/36 | ff09:d03c:2fff:ffff:ffff:ffff:ffff:ffff |
| 196 | ff09:d03c:3000::/36 | ff09:d03c:3fff:ffff:ffff:ffff:ffff:ffff |
| 197 | ff09:d03c:4000::/36 | ff09:d03c:4fff:ffff:ffff:ffff:ffff:ffff |
| 198 | ff09:d03c:5000::/36 | ff09:d03c:5fff:ffff:ffff:ffff:ffff:ffff |
| 199 | ff09:d03c:6000::/36 | ff09:d03c:6fff:ffff:ffff:ffff:ffff:ffff |
| 200 | ff09:d03c:7000::/36 | ff09:d03c:7fff:ffff:ffff:ffff:ffff:ffff |
| 201 | ff09:d03c:8000::/36 | ff09:d03c:8fff:ffff:ffff:ffff:ffff:ffff |
| 202 | ff09:d03c:9000::/36 | ff09:d03c:9fff:ffff:ffff:ffff:ffff:ffff |
| 203 | ff09:d03c:a000::/36 | ff09:d03c:afff:ffff:ffff:ffff:ffff:ffff |
| 204 | ff09:d03c:b000::/36 | ff09:d03c:bfff:ffff:ffff:ffff:ffff:ffff |
| 205 | ff09:d03c:c000::/36 | ff09:d03c:cfff:ffff:ffff:ffff:ffff:ffff |
| 206 | ff09:d03c:d000::/36 | ff09:d03c:dfff:ffff:ffff:ffff:ffff:ffff |
| 207 | ff09:d03c:e000::/36 | ff09:d03c:efff:ffff:ffff:ffff:ffff:ffff |
| 208 | ff09:d03c:f000::/36 | ff09:d03c:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | ff09:d03d::/36 | ff09:d03d:fff:ffff:ffff:ffff:ffff:ffff |
| 210 | ff09:d03d:1000::/36 | ff09:d03d:1fff:ffff:ffff:ffff:ffff:ffff |
| 211 | ff09:d03d:2000::/36 | ff09:d03d:2fff:ffff:ffff:ffff:ffff:ffff |
| 212 | ff09:d03d:3000::/36 | ff09:d03d:3fff:ffff:ffff:ffff:ffff:ffff |
| 213 | ff09:d03d:4000::/36 | ff09:d03d:4fff:ffff:ffff:ffff:ffff:ffff |
| 214 | ff09:d03d:5000::/36 | ff09:d03d:5fff:ffff:ffff:ffff:ffff:ffff |
| 215 | ff09:d03d:6000::/36 | ff09:d03d:6fff:ffff:ffff:ffff:ffff:ffff |
| 216 | ff09:d03d:7000::/36 | ff09:d03d:7fff:ffff:ffff:ffff:ffff:ffff |
| 217 | ff09:d03d:8000::/36 | ff09:d03d:8fff:ffff:ffff:ffff:ffff:ffff |
| 218 | ff09:d03d:9000::/36 | ff09:d03d:9fff:ffff:ffff:ffff:ffff:ffff |
| 219 | ff09:d03d:a000::/36 | ff09:d03d:afff:ffff:ffff:ffff:ffff:ffff |
| 220 | ff09:d03d:b000::/36 | ff09:d03d:bfff:ffff:ffff:ffff:ffff:ffff |
| 221 | ff09:d03d:c000::/36 | ff09:d03d:cfff:ffff:ffff:ffff:ffff:ffff |
| 222 | ff09:d03d:d000::/36 | ff09:d03d:dfff:ffff:ffff:ffff:ffff:ffff |
| 223 | ff09:d03d:e000::/36 | ff09:d03d:efff:ffff:ffff:ffff:ffff:ffff |
| 224 | ff09:d03d:f000::/36 | ff09:d03d:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | ff09:d03e::/36 | ff09:d03e:fff:ffff:ffff:ffff:ffff:ffff |
| 226 | ff09:d03e:1000::/36 | ff09:d03e:1fff:ffff:ffff:ffff:ffff:ffff |
| 227 | ff09:d03e:2000::/36 | ff09:d03e:2fff:ffff:ffff:ffff:ffff:ffff |
| 228 | ff09:d03e:3000::/36 | ff09:d03e:3fff:ffff:ffff:ffff:ffff:ffff |
| 229 | ff09:d03e:4000::/36 | ff09:d03e:4fff:ffff:ffff:ffff:ffff:ffff |
| 230 | ff09:d03e:5000::/36 | ff09:d03e:5fff:ffff:ffff:ffff:ffff:ffff |
| 231 | ff09:d03e:6000::/36 | ff09:d03e:6fff:ffff:ffff:ffff:ffff:ffff |
| 232 | ff09:d03e:7000::/36 | ff09:d03e:7fff:ffff:ffff:ffff:ffff:ffff |
| 233 | ff09:d03e:8000::/36 | ff09:d03e:8fff:ffff:ffff:ffff:ffff:ffff |
| 234 | ff09:d03e:9000::/36 | ff09:d03e:9fff:ffff:ffff:ffff:ffff:ffff |
| 235 | ff09:d03e:a000::/36 | ff09:d03e:afff:ffff:ffff:ffff:ffff:ffff |
| 236 | ff09:d03e:b000::/36 | ff09:d03e:bfff:ffff:ffff:ffff:ffff:ffff |
| 237 | ff09:d03e:c000::/36 | ff09:d03e:cfff:ffff:ffff:ffff:ffff:ffff |
| 238 | ff09:d03e:d000::/36 | ff09:d03e:dfff:ffff:ffff:ffff:ffff:ffff |
| 239 | ff09:d03e:e000::/36 | ff09:d03e:efff:ffff:ffff:ffff:ffff:ffff |
| 240 | ff09:d03e:f000::/36 | ff09:d03e:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | ff09:d03f::/36 | ff09:d03f:fff:ffff:ffff:ffff:ffff:ffff |
| 242 | ff09:d03f:1000::/36 | ff09:d03f:1fff:ffff:ffff:ffff:ffff:ffff |
| 243 | ff09:d03f:2000::/36 | ff09:d03f:2fff:ffff:ffff:ffff:ffff:ffff |
| 244 | ff09:d03f:3000::/36 | ff09:d03f:3fff:ffff:ffff:ffff:ffff:ffff |
| 245 | ff09:d03f:4000::/36 | ff09:d03f:4fff:ffff:ffff:ffff:ffff:ffff |
| 246 | ff09:d03f:5000::/36 | ff09:d03f:5fff:ffff:ffff:ffff:ffff:ffff |
| 247 | ff09:d03f:6000::/36 | ff09:d03f:6fff:ffff:ffff:ffff:ffff:ffff |
| 248 | ff09:d03f:7000::/36 | ff09:d03f:7fff:ffff:ffff:ffff:ffff:ffff |
| 249 | ff09:d03f:8000::/36 | ff09:d03f:8fff:ffff:ffff:ffff:ffff:ffff |
| 250 | ff09:d03f:9000::/36 | ff09:d03f:9fff:ffff:ffff:ffff:ffff:ffff |
| 251 | ff09:d03f:a000::/36 | ff09:d03f:afff:ffff:ffff:ffff:ffff:ffff |
| 252 | ff09:d03f:b000::/36 | ff09:d03f:bfff:ffff:ffff:ffff:ffff:ffff |
| 253 | ff09:d03f:c000::/36 | ff09:d03f:cfff:ffff:ffff:ffff:ffff:ffff |
| 254 | ff09:d03f:d000::/36 | ff09:d03f:dfff:ffff:ffff:ffff:ffff:ffff |
| 255 | ff09:d03f:e000::/36 | ff09:d03f:efff:ffff:ffff:ffff:ffff:ffff |
| 256 | ff09:d03f:f000::/36 | ff09:d03f:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |